Kepler - Bug #2464

Problem with displaying R graphics on Mac
06/16/2006 01:41 PM - Dan Higgins

Status: Resolved Start date: 06/16/2006
Priority: Normal Due date:

Assignee: Dan Higgins % Done: 0%
Category: actors Estimated time: 0.00 hour
Target version: 1.0.0rc1 Spent time: 0.00 hour
Bugzilla-ld: 2464

Description

In beta1, we note that for R graphics to work on the Mac, one needs to have X11 running prior to starting Kepler and set the
DISPLAY env variable to 0.0. However, it turns out that DISPLAY was set for the BASH shell only so that it is not available for
applications launched by double clicking!. The correct way to set it for applications is described at

http://developer.apple.com/ga/qa2001/ga1067.html.

We need to fix the installer to set DISPLAY for applications in the next release.

History

#1 - 11/21/2006 10:07 AM - Dan Higgins

This problem has been fixed by adding the capability to set the graphics display to PDF and using builtin Mac PDF display functionality. RExpression
actor is also set to detect a Mac OS and create a PDF graphic. ImageJ actor changed to use PDF display for image files with '.pdf' extender (Note, on

Windows, Acrobat reader should be installed)

#2 - 03/27/2013 02:20 PM - Redmine Admin
Original Bugzilla ID was 2464
